Docs
Update File
PUT /Drives/{driveId}/files/{fileId}
PUT
/Drives/{driveId}/files/{fileId}Edits a file's name, description, path (change it to move the file), URL, assignee or due date. Needs edit or admin access to the location the file ends up in. The file id comes from Drives_Get.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| driveId | uuid | Required | |
| fileId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| name | string | Optional | |
| description | string | Optional | |
| path | string | Optional | |
| assignedTo | uuid | Optional | |
| dueDate | date-time | Optional | |
| url | string | Optional |